petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGetIJacobian

Returns the implicit Jacobian at the present timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetIJacobian(TS ts,Mat *Amat,Mat *Pmat,TSIJacobian *f,void **ctx)

Not Collective, but parallel objects are returned if TS is parallel Many br

### Input Parameter

ts -The TS context obtained from TSCreate() Many br

### Output Parameters

| Amat | - The (approximate) Jacobian of F(t,U,U_t) Many br
| Pmat | - The matrix from which the preconditioner is constructed, often the same as Amat Many br
| f | - The function to compute the matrices Many br
| ctx | - User-defined context for Jacobian evaluation routine Many br

Notes: You can pass in NULL for any return argument you do not need. Many br

Many br

### See Also

TSGetTimeStep(), TSGetRHSJacobian(), TSGetMatrices(), TSGetTime(), TSGetTimeStepNumber()

### Keywords

TS, timestep, get, matrix, Jacobian

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages